Package org.springframework.beans.factory.aot

# Class AutowiredArgumentsCodeGenerator

java.lang.Object
org.springframework.beans.factory.aot.AutowiredArgumentsCodeGenerator

public class AutowiredArgumentsCodeGenerator extends Object
Code generator to apply `AutowiredArguments`.

Generates code in the form: `args.get(0), args.get(1)` or `args.get(0, String.class), args.get(1, Integer.class)`

The simpler form is only used if the target method or constructor is unambiguous.

Since:
  6.0
Author:
  Phillip Webb, Stephane Nicoll

## Constructor Summary

Constructors
Constructor
Description
`AutowiredArgumentsCodeGenerator(Class<?> target, Executable executable)`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.javapoet.CodeBlock`
`generateCode(Class<?>[] parameterTypes)`
`org.springframework.javapoet.CodeBlock`
`generateCode(Class<?>[] parameterTypes, int startIndex)`
`org.springframework.javapoet.CodeBlock`
`generateCode(Class<?>[] parameterTypes, int startIndex, String variableName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AutowiredArgumentsCodeGenerator

public AutowiredArgumentsCodeGenerator(Class<?> target, Executable executable)

## Method Details

### generateCode

public org.springframework.javapoet.CodeBlock generateCode(Class<?>[] parameterTypes)

### generateCode

public org.springframework.javapoet.CodeBlock generateCode(Class<?>[] parameterTypes, int startIndex)

### generateCode

public org.springframework.javapoet.CodeBlock generateCode(Class<?>[] parameterTypes, int startIndex, String variableName)